Redmine - Defect #19786

'%' and ' ' are treated as SQL wildcards in issue filter
2015-05-08 06:43 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version: 3.0.2

Description

Please see the following screenshot. "m_nag%r" matches "manager”. Is this an expected behavior?

Issues
* Filters
W Status open  * Add filter
E] Subject contains S m_nagir z
» Options
" Apply @ Clear | Save
v # Tracker Status Subject Updated Category
19771 Defect New Can't remove a user with Manager-Role from a project 2015-05-06 16:37 Project settings
19707 Feature New  Ability to limit member management to certain roles 2015-04-25 17:39 Permissions and
roles
18875 Defect MNew  [Rest API][custom field]Why "GET fcustom_fields.xml" 2015-01-18 13:24 REST API

required the System manager's privilege?

Related issues:

Related to Redmine - Feature #13347: Filtering by issue subject with wildcard New
Related to Redmine - Feature #35073: Escape values in LIKE statements to prev... Closed
History

#2 - 2019-08-21 14:53 - Go MAEDA
- Related to Feature #13347: Filtering by issue subject with wildcard added

#3 - 2019-08-21 15:30 - Stéphane Frath

'%' works as wildcard for me, but'_' does not always work.
| was looking for the wildcard character and found your defect, please do not fix it :)

#4 - 2021-04-12 08:55 - Go MAEDA

- Related to Feature #35073: Escape values in LIKE statements to prevent injection of placeholders (_ or %) added

#5 - 2021-11-14 08:21 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #35073.

In the upcoming Redmine 5.0, SQL wildcards will no longer be available, but multiple keywords AND search will be supported instead (#35764).
